Subject: Re: [PATCH V3 00/13] POWER DSCR fixes, improvements, docs and tests

From: Anshuman Khandual <[email-masked]>
Date: Tue, 12 May 2015 11:31:55 +0530

On 04/10/2015 01:59 PM, Anshuman Khandual wrote:
> 	This patch series has patches for POWER DSCR fixes, improvements,
> in code documentaion, kernel support user documentation and selftest based
> test cases. It has got five test cases which are derived from Anton's DSCR
> test bucket which can be listed as follows.
> 
> (1) http://ozlabs.org/~anton/junkcode/dscr_default_test.c
> (2) http://ozlabs.org/~anton/junkcode/dscr_explicit_test.c
> (3) http://ozlabs.org/~anton/junkcode/dscr_inherit_exec_test.c
> (4) http://ozlabs.org/~anton/junkcode/dscr_inherit_test.c
> (5) http://ozlabs.org/~anton/junkcode/user_dscr_test.c
> 
> So the derivied test cases have Anton's copyright along with mine but the
> commit message as of now has only my signed-off-by statement. As Anton
> mentioned before he would put his signed-off-by after reviewing these
> modified test cases.
> 
> NOTE1: Anton's original inherit exec test expected the child to have system
> default DSCR value instead of the inherited DSCR value from it's parent.
> But looks like thats not the case when we execute the test, it always
> inherits it's parent's DSCR value over the exec call as well. So I have
> changed the test program assuming its correct to have the inherited DSCR
> value in the fork/execed child program. Please let me know if thats not
> correct and I am missing something there.
> 
> Changes in V3:
> -------------
> - Minor changes to last couple of sysfs test cases
> - Added .gitignore file for the new test directory

Hey Michael/Ben/Mikey,

Do you have any thoughts or updates on this patch series. Its already
been a month for this latest version to be on the list.